%{?nodejs_find_provides_and_requires}

%global packagename tsscmp
%global enable_tests 1

Name:		nodejs-tsscmp
Version:	1.0.5
Release:	4%{?dist}
Summary:	Timing safe string compare using double HMAC

License:	MIT
URL:		https://github.com/suryagh/tsscmp.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch:	%{nodejs_arches} noarch
%else
ExclusiveArch:	%{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
#BuildRequires:
%endif

%description
Timing safe string compare using double HMAC


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test/unit && %{__nodejs} test/benchmark
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jul 13 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.5-2
- Tests are already in main tarball, no need to add them separately

* Sun Jul  3 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.5-1
- Initial packaging
